.page-clientes .ckm-testimonials-wrapper {
  width: 100%;
  display: flex;
  justify-content: center;
  padding: 32px;
}

.page-clientes .ckm-testimonials {
  width: 100%;
  max-width: 1280px;
  display: flex;
  flex-direction: column;
  gap: 64px;
}

.page-clientes .testimonials-header {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: start;
  align-items: start;
  text-align: justify;
  gap: 32px;
}

.page-clientes .testimonials-text {
  max-width: 640px;
}

.page-clientes .testimonials-content {
  display: grid;
  grid-template-columns: 1fr;
  justify-content: center;
  justify-items: center;
  width: 100%;
  height: 100%;
  grid-auto-rows: 1fr;    
  gap: 36px;    
}

.testimony-card {                   
  align-self: center;
  height: 100%;
  background-color: #f4f4f4;
  padding: 32px;
  border-radius: 20px;
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.testimony-card-header {
  display: flex;
  flex-direction: column;
  width: 100%;
  gap: 24px;
  font-family: var(--font-family-secondary), sans-serif;
}

.testimony-card-body {
  display: flex;
  flex-direction: column;
  width: 100%;
  height: 100%;
  justify-content: space-between;
}

.testimony-card-text {
  text-align: justify; 
  width: 100%;
}

.testimony-date {
  text-align: end;
  width: 100%;
  color: #444444;
}

.testimony-client-info {
  display: flex;
  flex-direction: column;
}

.testimony-client-name {
  font-weight: 800;
}

.testimony-card-img {
  width: 90px;
  height: 90px;
}

@media (min-width: 1000px) {
  .page-clientes .testimonials-content {
    grid-template-columns: repeat(6, 1fr);
  }

  .testimony-card:last-child:nth-child(3n - 1) {
    grid-column-end: -2;
  }
  
  .testimony-card:nth-last-child(2):nth-child(3n + 1) {
    grid-column-end: 4;
  }
  
  .testimony-card:last-child:nth-child(3n - 2) {
    grid-column-end: 5;
  }
 
  .testimony-card {    
    grid-column: span 2;               
  }

  .page-clientes .ckm-testimonials-wrapper {    
    padding: 80px;
  }
}
